<html lang="en">

<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <meta http-equiv="X-UA-Compatible" content="ie=edge">
  <title>Calcutatrice</title>
  <link rel="stylesheet" href="./styles/styles.scss">
  <script src="./scripts/calculatrice.js"></script>
</head>

<body>
  <div class="title"></div>
  <h1 class="title__calc">Calcutatrice</h1>

  <div>
    <input class="number" id="calc_resultat" type="text" id="calc_resultat" onkeydown="javascript:key_detect_calc('calc',event);" />
  
      <div class="calculator__buttonsBackground" id="calc">
        <input type="button" class="calculator__cursor" value="7" onclick="javascript:add_calc('calc',7);" />

        <input type="button" class="calculator__cursor" value="8" onclick="javascript:add_calc('calc',8);" />

        <input type="button" class="calculator__cursor" value="9" onclick="javascript:add_calc('calc',9);" />

        <input type="button" class="calculator__cursor" value="-" onclick="javascript:f_calc('calc','-');" />

        <input type="button" class="calculator__cursor" value="4" onclick="javascript:add_calc('calc',4);" />

        <input type="button" class="calculator__cursor" value="5" onclick="javascript:add_calc('calc',5);" />

        <input type="button" class="calculator__cursor" value="6" onclick="javascript:add_calc('calc',6);" />

        <input type="button" class="calculator__cursor" value="x" onclick="javascript:f_calc('calc','*');" />

        <input type="button" class="calculator__cursor" value="1" onclick="javascript:add_calc('calc',1);" />

        <input type="button" class="calculator__cursor" value="2" onclick="javascript:add_calc('calc',2);" />

        <input type="button" class="calculator__cursor" value="3" onclick="javascript:add_calc('calc',3);" />

        <input type="button" class="calculator__cursor" value="+" onclick="javascript:f_calc('calc','+');" />

        <input type="button" class="calculator__clear" value="CE" onclick="javascript:f_calc('calc','ce');" />

        <input type="button" class="calculator__cursor" value="0" onclick="javascript:add_calc('calc',0);" />

        <input type="button" class="calculator__TVA" value="TVA" />

        <input type="button" class="calculator__cursor" value="+" onclick="javascript:f_calc('calc','+');" />

        <div class="calculator">
          <input type="button" class="calculator__equal" value="=" onclick="javascript:f_calc('calc','=');" />
        </div>
      </div>
  </div>
  <script src="./scripts/index.js"></script>
  <script type="text/javascript">
    document.getElementById('calc').onload = initialiser_calc('calc');
  </script>
</body>

</html>